import { ExecutionContext, createParamDecorator } from '@nestjs/common';
import { ApiProperty } from '@nestjs/swagger';
import { IsOptional } from 'class-validator';
import type { FastifyRequest } from 'fastify';
/**
 * 当前域
 */
export const Domain = createParamDecorator((_, context: ExecutionContext) => {
  const request = context.switchToHttp().getRequest<FastifyRequest>();
  return request.headers['sk-domain'] ?? 1;
});

export type SkDomain = number;
export class DomainType {
  @ApiProperty({ description: '所属域' })
  @IsOptional()
  domain: SkDomain;
}
