import { ApiProperty, IntersectionType, PartialType } from '@nestjs/swagger';
import { IsString } from 'class-validator';
import { PagerDto } from '~/common/dto/pager.dto';

export class DomainDto {
  @ApiProperty({ description: '域标题' })
  @IsString()
  title: string;
}

export class DomainUpdateDto extends PartialType(DomainDto) {}
export class DomainQueryDto extends IntersectionType(PagerDto<DomainDto>, PartialType(DomainDto)) {}
