import { ApiHideProperty, ApiProperty } from '@nestjs/swagger';
import { Column, Entity, JoinTable, ManyToMany, Relation } from 'typeorm';
import { CommonEntity } from '~/common/entity/common.entity';
import { Storage } from '../tools/storage/storage.entity';

@Entity({ name: 'domain' })
export class DomainEntity extends CommonEntity {
  @Column({ name: 'title', type: 'varchar', length: 255, comment: '域标题' })
  @ApiProperty({ description: '域标题' })
  title: string;

  @Column({ name: 'is_delete', type: 'tinyint', default: 0, comment: '是否删除' })
  @ApiProperty({ description: '删除状态：0未删除，1已删除' })
  isDelete: number;
}
